Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.measurement
Class PerformanceMonitorByClassesValueImpl

    java.lang.Object
      com.sun.management.oss.impl.AttributeAccessImpl
          com.sun.management.oss.impl.ManagedEntityValueImpl
              com.sun.management.oss.impl.pm.measurement.PmManagedEntityValueImpl
                  com.sun.management.oss.impl.pm.measurement.PerformanceMonitorValueImpl
                      com.sun.management.oss.impl.pm.measurement.PerformanceMonitorByClassesValueImpl

All Implemented Interfaces:
  AttributeAccess, java.lang.Cloneable, ManagedEntityValue, PerformanceMonitorByClassesValue, PerformanceMonitorValue, java.io.Serializable, SerializerFactory

public class PerformanceMonitorByClassesValueImpl
extends PerformanceMonitorValueImpl
implements PerformanceMonitorByClassesValue

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi, Hooman Tahamtani, Katarina Wahlstr?m
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.pm.measurement.PerformanceMonitorByClassesValue
`MEASUREMENT_ATTRIBUTES, OBSERVABLE_OBJECT_CLASSES, SCOPE, VALUE_TYPE`

Fields inherited from interface com.sun.management.oss.pm.measurement.PerformanceMonitorValue
`GRANULARITY_PERIOD, NAME, REPORT_BY_EVENT, REPORT_BY_FILE, REPORT_FORMAT, REPORTING_PERIOD, SCHEDULE, STATE`

Fields inherited from interface com.sun.management.oss.ManagedEntityValue
`KEY`

Constructor Summary
`PerformanceMonitorByClassesValueImpl()`

Method Summary
`java.lang.Object` | `clone()` Return a deep copy of this value.
`PerformanceAttributeDescriptor[]` | `getMeasurementAttributes()` Returns a list of measurement attributes.
`java.lang.String[]` | `getObservedObjectClasses()` Returns a list of observable object class names.
`javax.management.ObjectName` | `getScope()` Returns the JMX pattern the job is using.
`PerformanceAttributeDescriptor` | `makePerformanceAttributeDescriptor()` Creates a new instance of the PerformanceAttributeDescriptor interface.
`void` | `setMeasurementAttributes(PerformanceAttributeDescriptor[] measurementAttributeNames)` Sets the measurement attributes to be monitored.
`void` | `setObservedObjectClasses(java.lang.String[] observedObjectClasses)` Sets the observable object classes that shall be monitored.
`void` | `setScope(javax.management.ObjectName base)` Sets the JMX pattern matching the object names the job must handle.

Methods inherited from class com.sun.management.oss.impl.pm.measurement.PerformanceMonitorValueImpl
`getGranularityPeriod, getName, getPerformanceMonitorKey, getReportByEvent, getReportByFile, getReportFormat, getReportPeriod, getSchedule, getState, makePerformanceMonitorKey, makeReportFormat, makeSchedule, setGranularityPeriod, setManagedEntityKey, setName, setPerformanceMonitorKey, setReportByEvent, setReportByFile, setReportFormat, setReportPeriod, setSchedule, setState`

Methods inherited from class com.sun.management.oss.impl.pm.measurement.PmManagedEntityValueImpl
`getSupportedSerializerTypes, makeSerializer`

Methods inherited from class com.sun.management.oss.impl.ManagedEntityValueImpl
`getLastUpdateVersionNumber, getManagedEntityKey, getSettableAttributeNames, makeManagedEntityKey, setLastUpdateVersionNumber`

Methods inherited from class com.sun.management.oss.impl.AttributeAccessImpl
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.pm.measurement.PerformanceMonitorValue
`getGranularityPeriod, getName, getPerformanceMonitorKey, getReportByEvent, getReportByFile, getReportFormat, getReportPeriod, getSchedule, getState, makePerformanceMonitorKey, makeReportFormat, makeSchedule, setGranularityPeriod, setName, setPerformanceMonitorKey, setReportByEvent, setReportByFile, setReportFormat, setReportPeriod, setSchedule, setState`

Methods inherited from interface com.sun.management.oss.ManagedEntityValue
`getLastUpdateVersionNumber, getManagedEntityKey, getSettableAttributeNames, makeManagedEntityKey, setLastUpdateVersionNumber, setManagedEntityKey`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Constructor Detail

### PerformanceMonitorByClassesValueImpl

    public PerformanceMonitorByClassesValueImpl()

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `ManagedEntityValue`
  Return a deep copy of this value.

  Specified by:
    `clone` in interface `ManagedEntityValue`
  Overrides:
    `clone` in class `PerformanceMonitorValueImpl`
  Returns:
    String The name of the measurement job.

### getMeasurementAttributes

    public PerformanceAttributeDescriptor[] getMeasurementAttributes()
                                                              throws java.lang.IllegalStateException

  Returns a list of measurement attributes.

  Specified by:
    `getMeasurementAttributes` in interface `PerformanceMonitorByClassesValue`
  Returns:
    PerformanceAttributeDescriptor[] List of measurement attribute.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `PerformanceMonitorByClassesValue.setMeasurementAttributes(com.sun.management.oss.pm.measurement.PerformanceAttributeDescriptor[])`

### setMeasurementAttributes

    public void setMeasurementAttributes(PerformanceAttributeDescriptor[] measurementAttributeNames)
                                  throws java.lang.IllegalArgumentException

  Sets the measurement attributes to be monitored.

  The supplied measurement attribute must be supported of all monitored objects.

  The measurement attributes will be validated when the value object is passed to the performance monitor bean.

  Specified by:
    `setMeasurementAttributes` in interface `PerformanceMonitorByClassesValue`
  Parameters:
    `measurementAttributeNames` - List of measurement attribute.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `PerformanceMonitorByClassesValue.getMeasurementAttributes()`

### getObservedObjectClasses

    public java.lang.String[] getObservedObjectClasses()
                                                throws java.lang.IllegalStateException

  Returns a list of observable object class names.

  Specified by:
    `getObservedObjectClasses` in interface `PerformanceMonitorByClassesValue`
  Returns:
    String[] List of observable object class names.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `PerformanceMonitorByClassesValue.setObservedObjectClasses(java.lang.String[])`

### setObservedObjectClasses

    public void setObservedObjectClasses(java.lang.String[] observedObjectClasses)
                                  throws java.lang.IllegalArgumentException

  Sets the observable object classes that shall be monitored.

  The observable object classes will be validated when the value object is passed to the performance monitor bean.

  Specified by:
    `setObservedObjectClasses` in interface `PerformanceMonitorByClassesValue`
  Parameters:
    `observedObjectClasses` - List of observable object class names.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `PerformanceMonitorByClassesValue.getObservedObjectClasses()`

### getScope

    public javax.management.ObjectName getScope()
                                         throws java.lang.IllegalStateException

  Returns the JMX pattern the job is using.

  Specified by:
    `getScope` in interface `PerformanceMonitorByClassesValue`
  Returns:
    The JMX pattern for the job.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `setScope(javax.management.ObjectName)`

### setScope

    public void setScope(javax.management.ObjectName base)
                  throws java.lang.IllegalArgumentException

  Sets the JMX pattern matching the object names the job must handle.

  Specified by:
    `setScope` in interface `PerformanceMonitorByClassesValue`
  Parameters:
    `base` - The JMX pattern for selecting objects.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `getScope()`

### makePerformanceAttributeDescriptor

    public PerformanceAttributeDescriptor makePerformanceAttributeDescriptor()

  Description copied from interface: `PerformanceMonitorByClassesValue`
  Creates a new instance of the PerformanceAttributeDescriptor interface.

  Specified by:
    `makePerformanceAttributeDescriptor` in interface `PerformanceMonitorByClassesValue`
  Returns:
    PerformanceAttributeDescriptor The created object. The object is empty.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD